<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>添加会员 {#$LA_poweredby#} -  Powered by GV32.COM</title>
<link rel="stylesheet" type="text/css" href="{#$base_weburl#}/templates/adminsys/css/list.css" />
<script language="javascript" src="{#$base_weburl#}/js/date/changedate.js"></script>
<script language="javascript" src="{#$base_weburl#}/js/jquery-1.7.2.js" ></script>
<script language="javascript" src="{#$base_weburl#}/js/common.js" ></script>
<script language="javascript">
	function submitFun()
	{
		var iduse_name 		= document.getElementById('use_name');
		var iduse_email 	= document.getElementById('use_email');
		var iduse_pwd 		= document.getElementById('use_pwd');
		var idreuse_pwd 	= document.getElementById('reuse_pwd');

		var idsuggestionInfo 	= document.getElementById('suggestionInfo');
		
		patn = /^([a-zA-Z0-9_.-])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/;


		
		if(iduse_name.value=='')
		{
			idsuggestionInfo.innerHTML = ' 提 示：会员帐号不能为空！请输入！';
			iduse_name.focus();
			return false;
		}else if((iduse_name.value).length < 3)
		{
			idsuggestionInfo.innerHTML = ' 提 示：会员帐号不能小与3个字符！请重新输入！';
			iduse_name.focus();
			return false;
		}else if(iduse_email.value=='')
		{
			idsuggestionInfo.innerHTML = ' 提 示：E-mail不能为空！请输入！';
			iduse_email.focus();
			return false;
		}else if(!patn.test(iduse_email.value))
		{
			alert ("提示：\n\n电子邮件格式不正确，请输入正确的电子邮件地址！！");
			iduse_email.focus (); 
			return false; 
		}else if(iduse_pwd.value=='')
		{
			idsuggestionInfo.innerHTML = ' 提 示：密码不能为空！请输入！';
			iduse_pwd.focus();
			return false;
		}else if(idreuse_pwd.value=='')
		{
			idsuggestionInfo.innerHTML = ' 提 示：确认密码不能为空！请输入！';
			idreuse_pwd.focus();
			return false;
		}else if(idreuse_pwd.value!=iduse_pwd.value)
		{
			idsuggestionInfo.innerHTML = ' 提 示：确认密码与密码不一致！请重新输入！';
			idreuse_pwd.focus();
			return false;
		}



/*

		var patadmin = new RegExp('admin');
		var patroot = new RegExp('root');
		var patphp = new RegExp('gv32');

		else if(patadmin.test(iduse_name.value))
		{
			idsuggestionInfo.innerHTML = ' 提 示：会员帐号己经被注册！请重新其他帐号输入！';
			iduse_name.focus();
			return false;
		}else if(patroot.test(iduse_name.value))
		{
			idsuggestionInfo.innerHTML = ' 提 示：会员帐号己经被注册！请重新其他帐号输入！';
			iduse_name.focus();
			return false;
		}else if(patphp.test(iduse_name.value))
		{
			idsuggestionInfo.innerHTML = ' 提 示：会员帐号己经被注册！请重新其他帐号输入！';
			iduse_name.focus();
			return false;
		}

*/



		/*
		var iduse_truename 	= document.getElementById('use_truename');
		if(iduse_truename.value=='')
		{
			idsuggestionInfo.innerHTML = ' 提 示：真实姓名不能为空！请输入！';
			iduse_truename.focus();
			return false;
		}
		*/

	}
</script>
</head>
<body>

<table  cellpadding="0" cellspacing="0" border="0" style="width:100%">

<tr><td><table cellpadding="0" cellspacing="0" border="0" style="width:100%; color:#000000; font-weight:normal; background-color:#3EC3EF;"  >
  <tr>
    <td>&nbsp;<a href="{#$base_weburl#}/adminsys/index.php?load=user&act=infolist"><img src="{#$base_weburl#}/uploads/sys/h.gif"  width="15" border="0">会员列表</a> | 添加会员</td>
    <td>&nbsp;</td>
    <td align="right"><a href="http://help.gv32.com/type_useradd.html" target="_blank" title="点击-在线帮助"><img src="{#$base_weburl#}/images/sys/adminhelp.png"  width="21" border="0" alt="点击-在线帮助"></a>&nbsp;&nbsp;</td>
  </tr>
</table>
</td></tr>

<tr><td>

<div class="list">
<form action="{#$actUrl#}" method="post" onsubmit="return submitFun(this)" enctype="multipart/form-data" name="formSub" >
<table cellpadding="0" cellspacing="1" border="0" style="width:100%" class="tableborder">
<tr>
<th colspan="2">添加会员</th>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>会员帐号：</strong></td>
<td class="tdd"><input name="use_name" id="use_name" value="" type="text"  style="width:250px;" ></td>
</tr>


<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>Email地址：</strong></td>
<td class="tdd"><input name="use_email" id="use_email" value="" type="text"  style="width:250px;" ></td>
</tr>


<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>密&nbsp;&nbsp;&nbsp;&nbsp;码：</strong></td>
<td class="tdd"><input name="use_pwd" id="use_pwd" value="" type="password" style="width:250px;"></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>确认密码：</strong></td>
<td class="tdd"><input name="reuse_pwd" id="reuse_pwd" value="" type="password" style="width:250px;"></td>
</tr>


<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td colspan="2"  class="tdcenter"><div id="suggestionInfo">&nbsp;</div></td>
</tr>


<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>真实姓名：</strong></td>
<td class="tdd"><input name="usd_truename" id="usd_truename" value="" type="text"  style="width:250px;" ></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>性别：</strong></td>
<td class="tdd">男<input name="usd_sex" id="usd_sex" value="1"  type="radio" >&nbsp;女<input name="usd_sex" id="usd_sex" value="2"  type="radio" >&nbsp;保密<input name="usd_sex" id="usd_sex" value="0"  type="radio" checked="checked" ></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>昵称：</strong></td>
<td class="tdd"><input name="usd_nick" id="usd_nick" value="" type="text"  style="width:250px;" ></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>生日：</strong></td>
<td class="tdd"><input name="usd_birthday" id="usd_birthday"  value="" type="text"  style="width:250px;"  onClick='popUpCalendar(this, this, "yyyy-mm-dd")' > 格式：2012-01-01 </td>
</tr>


<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>兴趣：</strong></td>
<td class="tdd"><input name="usd_salt" id="usd_salt" value="" type="text"  style="width:250px;" ></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>MSN：</strong></td>
<td class="tdd"><input name="usd_msn" id="usd_msn" value="" type="text"  style="width:250px;" ></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>QQ：</strong></td>
<td class="tdd"><input name="usd_qq" id="usd_qq" value="" type="text"  style="width:250px;" ></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>办公电话：</strong></td>
<td class="tdd"><input name="usd_officephone" id="usd_officephone" value="" type="text"  style="width:250px;" ></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>家庭电话：</strong></td>
<td class="tdd"><input name="usd_homephone" id="usd_homephone" value="" type="text"  style="width:250px;" ></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>手机：</strong></td>
<td class="tdd"><input name="usd_mobile" id="usd_mobile" value="" type="text"  style="width:250px;" ></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>所在区：</strong></td>
<td class="tdd"><div id="userd_addr"><span id="userd_province"><select name="idprovince" id="idprovince"><option value="">请选择</option></select></span><span id="userd_city"><select name="idcity" id="idcity"><option value="" >请选择</option></select></span><span id="userd_district"><select name="iddistrict" id="iddistrict"><option value="" >请选择</option></select></span></div>
<script language="javascript">
	function getareadict( objval, nextobj , areatype , selval )
	{
		var areatype = areatype; 
		var idnextobj = document.getElementById( nextobj );
		if(objval!='')
		{
			$.get("{#$base_weburl#}/index.php?load=ajaxarea&act="+areatype+"&objval="+objval+"&selval="+selval, function(data)
			{
				idnextobj.innerHTML = data;
			})
		}else{
			$.get("{#$base_weburl#}/index.php?load=ajaxarea&act="+areatype+"", function(data)
			{
				idnextobj.innerHTML = data;
			})
		}
		
	}
	function provinceval(obj)
	{
		
		spprovince.innerHTML = obj.options[obj.selectedIndex].text;
		spcity.innerHTML	 = '';
		spdistrict.innerHTML = '';
		
		document.getElementById('hiprovince').value = obj.options[obj.selectedIndex].text;
		document.getElementById('hicity').value 	= '';
		document.getElementById('hidistrict').value = '';
		
	}
	function cityval(obj)
	{
		spcity.innerHTML	 = obj.options[obj.selectedIndex].text;
		spdistrict.innerHTML = '';
		
		document.getElementById('hicity').value 	  = obj.options[obj.selectedIndex].text;
		document.getElementById('hidistrict').value   = '';
	}
	
	function districtval(obj)
	{
		spdistrict.innerHTML = obj.options[obj.selectedIndex].text
		
		document.getElementById('hidistrict').value = obj.options[obj.selectedIndex].text;
	}
	
	getareadict( '0',  'userd_province','province' ,  '');
</script>	<input type="hidden" value="" name="hiprovince" id="hiprovince" /><input type="hidden" value="" name="hicity" id="hicity" /><input type="hidden" value="" name="hidistrict" id="hidistrict" /></td>
</tr>

<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td class="td"><strong>所在地址：</strong></td>
<td class="tdd"><span id="spprovince"></span><span id="spcity"></span><span id="spdistrict"></span><input name="usd_address" id="usd_address" value="" type="text"  style="width:250px;" ></td>
</tr>


<tr bgcolor="#f3f3f3" onMouseOut="this.bgColor='#f3f3f3';"; onMouseOver="this.bgColor='#C3E2FF';" >
<td colspan="2"  class="tdcenter"> <input name="submit" id="submit" type="submit" value="添 加" ></td>
</tr>

</table>
</form>
</div>

</td></tr>
<tr><td></td></tr>
</table>



	
</body>
</html>